## org.apache.lucene.replicator
Class IndexInputInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.lucene.replicator.IndexInputInputStream

All Implemented Interfaces:
  Closeable

    public final class IndexInputInputStream

extends InputStream

An `InputStream` which wraps an `IndexInput`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`IndexInputInputStream(IndexInput in)`

Method Summary
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`long` `skip(long n)`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexInputInputStream

    public IndexInputInputStream(IndexInput in)

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `InputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `InputStream`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.